# Save the start and end an avatar video exports with

- **Method:** `PUT`
- **Path:** `/api/v1/talking-head/videos/{video_id}/trim`
- **Operation ID:** `th_set_trim_api_v1_talking_head_videos__video_id__trim_put`
- **Tags:** Avatars

## Effective servers

- `http://127.0.0.1:8100`

  Voice Creator Pro on this computer

## Path parameters

- **`video_id` (required)**: `string`

## Request body

**Required:** `true`

**Content type:** `application/json`

schema: `TalkingHeadTrimRequest`

- **`trim`**: `(array of number) | null`, minItems: `2`, maxItems: `2`

  Seconds \[start, end] the export keeps; null keeps the whole video

**Example:**

```json
{
  "trim": [
    1
  ]
}
```

## Responses

### 200 Successful Response

**Content type:** `application/json`

`any`

**Example:**

```json
null
```

### 422 Validation Error

**Content type:** `application/json`

schema: `HTTPValidationError`

- **`detail`**: `array`

  **Items:**

  schema: `ValidationError`
  - **`loc` (required)**: `array of (string | integer)`
  - **`msg` (required)**: `string`
  - **`type` (required)**: `string`
  - **`ctx`**: `object`
  - **`input`**: `any`

**Example:**

```json
{
  "detail": [
    {
      "loc": [
        ""
      ],
      "msg": "",
      "type": "",
      "input": null,
      "ctx": {}
    }
  ]
}
```

## Schemas

- `HTTPValidationError` — shown above.
- `TalkingHeadTrimRequest` — shown above.
- `ValidationError` — shown above.
